# Create testChannel

URL: https://docs.hanzo.ai/docs/openapi/o11y/testchanneldeprecated

> Sends a test notification to the posted receiver.

`POST /v1/o11y/testChannel`

> [O11y →](https://docs.hanzo.ai/docs/openapi/o11y) · [All API references →](https://docs.hanzo.ai/docs/openapi) · [Get started →](https://docs.hanzo.ai/docs/guides)

|               |                                            |
| ------------- | ------------------------------------------ |
| **Address**   | `https://api.hanzo.ai/v1/o11y/testChannel` |
| **Method**    | `POST`                                     |
| **Operation** | `TestChannelDeprecated`                    |
| **Auth**      | `Authorization: Bearer $HANZO_API_KEY`     |

Sends a test notification to the posted receiver. The
legacy path; prefer /channels/test. Editor gate.

## Request

1698 fields, body `application/json` (required).

| Field                                                                             | In   | Type                               | Required | Description                                                                                              |
| --------------------------------------------------------------------------------- | ---- | ---------------------------------- | -------- | -------------------------------------------------------------------------------------------------------- |
| `Receiver`                                                                        | body | o11y.Receiver                      | —        |                                                                                                          |
| `Receiver.discord_configs`                                                        | body | o11y.DiscordConfig\[]              | —        |                                                                                                          |
| `Receiver.discord_configs[].NotifierConfig`                                       | body | o11y.NotifierConfig                | —        |                                                                                                          |
| `Receiver.discord_configs[].NotifierConfig.send_resolved`                         | body | boolean                            | —        |                                                                                                          |
| `Receiver.discord_configs[].avatar_url`                                           | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].content`                                              | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config`                                          | body | o11y.HTTPClientConfig              | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.authorization`                            | body | o11y.Authorization                 | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.authorization.credentials`                | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.authorization.credentials_file`           | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.authorization.credentials_ref`            | body | string                             | —        | CredentialsRef is the name of the secret within the secret manager to use as credentials.                |
| `Receiver.discord_configs[].http_config.authorization.type`                       | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.basic_auth`                               | body | o11y.BasicAuth                     | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.basic_auth.password`                      | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.basic_auth.password_file`                 | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.basic_auth.password_ref`                  | body | string                             | —        | PasswordRef is the name of the secret within the secret manager to use as the password.                  |
| `Receiver.discord_configs[].http_config.basic_auth.username`                      | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.basic_auth.username_file`                 | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.basic_auth.username_ref`                  | body | string                             | —        | UsernameRef is the name of the secret within the secret manager to use as the username.                  |
| `Receiver.discord_configs[].http_config.bearer_token`                             | body | any                                | —        | The bearer token for the targets.                                                                        |
| `Receiver.discord_configs[].http_config.bearer_token_file`                        | body | string                             | —        | The bearer token file for the targets.                                                                   |
| `Receiver.discord_configs[].http_config.enable_http2`                             | body | boolean                            | —        | EnableHTTP2 specifies whether the client should configure HTTP2.                                         |
| `Receiver.discord_configs[].http_config.follow_redirects`                         | body | boolean                            | —        | FollowRedirects specifies whether the client should follow HTTP 3xx redirects.                           |
| `Receiver.discord_configs[].http_config.http_headers`                             | body | any                                | —        | HTTPHeaders specify headers to inject in the requests.                                                   |
| `Receiver.discord_configs[].http_config.no_proxy`                                 | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2`                                   | body | o11y.OAuth2                        | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig`                         | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca`                      | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca_file`                 | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca_ref`                  | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert`                    | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert_file`               | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert_ref`                | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify`    | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.key`                     | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.key_file`                | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.key_ref`                 | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.max_version`             | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.min_version`             | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.discord_configs[].http_config.oauth2.TLSConfig.server_name`             | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.discord_configs[].http_config.oauth2.audience`                          | body | string                             | —        | Audience optionally specifies the intended audience of the request.                                      |
| `Receiver.discord_configs[].http_config.oauth2.claims`                            | body | object                             | —        | Claims is a map of claims to be added to the JWT token.                                                  |
| `Receiver.discord_configs[].http_config.oauth2.claims.*`                          | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_certificate_key`            | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_certificate_key_file`       | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_certificate_key_id`         | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_certificate_key_ref`        | body | string                             | —        | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
| `Receiver.discord_configs[].http_config.oauth2.client_id`                         | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_secret`                     | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_secret_file`                | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.client_secret_ref`                 | body | string                             | —        | ClientSecretRef is the name of the secret within the secret manager to use as the client secret.         |
| `Receiver.discord_configs[].http_config.oauth2.endpoint_params`                   | body | object                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.endpoint_params.*`                 | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.grant_type`                        | body | string                             | —        | GrantType is the OAuth2 grant type to use.                                                               |
| `Receiver.discord_configs[].http_config.oauth2.iss`                               | body | string                             | —        | Iss is the OAuth client identifier used when communicating with the configured OAuth provider.           |
| `Receiver.discord_configs[].http_config.oauth2.no_proxy`                          | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.proxy_connect_header`              | body | object                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.proxy_connect_header.*`            | body | any\[]                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.proxy_from_environment`            | body | boolean                            | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.proxy_url`                         | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.scopes`                            | body | string\[]                          | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.oauth2.signature_algorithm`               | body | string                             | —        | SignatureAlgorithm is the RSA algorithm used to sign JWT token.                                          |
| `Receiver.discord_configs[].http_config.oauth2.token_url`                         | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.proxy_connect_header`                     | body | object                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.proxy_connect_header.*`                   | body | any\[]                             | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.proxy_from_environment`                   | body | boolean                            | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.proxy_url`                                | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.tls_config`                               | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.discord_configs[].http_config.tls_config.ca`                            | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.discord_configs[].http_config.tls_config.ca_file`                       | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.discord_configs[].http_config.tls_config.ca_ref`                        | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.discord_configs[].http_config.tls_config.cert`                          | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.discord_configs[].http_config.tls_config.cert_file`                     | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.discord_configs[].http_config.tls_config.cert_ref`                      | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.discord_configs[].http_config.tls_config.insecure_skip_verify`          | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.discord_configs[].http_config.tls_config.key`                           | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.discord_configs[].http_config.tls_config.key_file`                      | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.discord_configs[].http_config.tls_config.key_ref`                       | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.discord_configs[].http_config.tls_config.max_version`                   | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.discord_configs[].http_config.tls_config.min_version`                   | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.discord_configs[].http_config.tls_config.server_name`                   | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.discord_configs[].message`                                              | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].title`                                                | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].username`                                             | body | string                             | —        |                                                                                                          |
| `Receiver.discord_configs[].webhook_url`                                          | body | any                                | —        |                                                                                                          |
| `Receiver.discord_configs[].webhook_url_file`                                     | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs`                                                          | body | o11y.EmailConfig\[]                | —        |                                                                                                          |
| `Receiver.email_configs[].NotifierConfig`                                         | body | o11y.NotifierConfig                | —        |                                                                                                          |
| `Receiver.email_configs[].NotifierConfig.send_resolved`                           | body | boolean                            | —        |                                                                                                          |
| `Receiver.email_configs[].auth_identity`                                          | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].auth_password`                                          | body | any                                | —        |                                                                                                          |
| `Receiver.email_configs[].auth_password_file`                                     | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].auth_secret`                                            | body | any                                | —        |                                                                                                          |
| `Receiver.email_configs[].auth_secret_file`                                       | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].auth_username`                                          | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].force_implicit_tls`                                     | body | boolean                            | —        | ForceImplicitTLS controls whether to use implicit TLS (direct TLS connection).                           |
| `Receiver.email_configs[].from`                                                   | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].headers`                                                | body | object                             | —        |                                                                                                          |
| `Receiver.email_configs[].headers.*`                                              | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].hello`                                                  | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].html`                                                   | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].require_tls`                                            | body | boolean                            | —        |                                                                                                          |
| `Receiver.email_configs[].smarthost`                                              | body | any                                | —        |                                                                                                          |
| `Receiver.email_configs[].text`                                                   | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].threading`                                              | body | o11y.ThreadingConfig               | —        |                                                                                                          |
| `Receiver.email_configs[].threading.enabled`                                      | body | boolean                            | —        |                                                                                                          |
| `Receiver.email_configs[].threading.thread_by_date`                               | body | string                             | —        |                                                                                                          |
| `Receiver.email_configs[].tls_config`                                             | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.email_configs[].tls_config.ca`                                          | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.email_configs[].tls_config.ca_file`                                     | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.email_configs[].tls_config.ca_ref`                                      | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.email_configs[].tls_config.cert`                                        | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.email_configs[].tls_config.cert_file`                                   | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.email_configs[].tls_config.cert_ref`                                    | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.email_configs[].tls_config.insecure_skip_verify`                        | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.email_configs[].tls_config.key`                                         | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.email_configs[].tls_config.key_file`                                    | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.email_configs[].tls_config.key_ref`                                     | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.email_configs[].tls_config.max_version`                                 | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.email_configs[].tls_config.min_version`                                 | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.email_configs[].tls_config.server_name`                                 | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.email_configs[].to`                                                     | body | string                             | —        | Email address to notify.                                                                                 |
| `Receiver.incidentio_configs`                                                     | body | o11y.IncidentioConfig\[]           | —        |                                                                                                          |
| `Receiver.incidentio_configs[].NotifierConfig`                                    | body | o11y.NotifierConfig                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].NotifierConfig.send_resolved`                      | body | boolean                            | —        |                                                                                                          |
| `Receiver.incidentio_configs[].alert_source_token`                                | body | any                                | —        | AlertSourceToken is the key used to authenticate with the alert source in incident.io.                   |
| `Receiver.incidentio_configs[].alert_source_token_file`                           | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config`                                       | body | o11y.HTTPClientConfig              | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.authorization`                         | body | o11y.Authorization                 | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.authorization.credentials`             | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.authorization.credentials_file`        | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.authorization.credentials_ref`         | body | string                             | —        | CredentialsRef is the name of the secret within the secret manager to use as credentials.                |
| `Receiver.incidentio_configs[].http_config.authorization.type`                    | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.basic_auth`                            | body | o11y.BasicAuth                     | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.basic_auth.password`                   | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.basic_auth.password_file`              | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.basic_auth.password_ref`               | body | string                             | —        | PasswordRef is the name of the secret within the secret manager to use as the password.                  |
| `Receiver.incidentio_configs[].http_config.basic_auth.username`                   | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.basic_auth.username_file`              | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.basic_auth.username_ref`               | body | string                             | —        | UsernameRef is the name of the secret within the secret manager to use as the username.                  |
| `Receiver.incidentio_configs[].http_config.bearer_token`                          | body | any                                | —        | The bearer token for the targets.                                                                        |
| `Receiver.incidentio_configs[].http_config.bearer_token_file`                     | body | string                             | —        | The bearer token file for the targets.                                                                   |
| `Receiver.incidentio_configs[].http_config.enable_http2`                          | body | boolean                            | —        | EnableHTTP2 specifies whether the client should configure HTTP2.                                         |
| `Receiver.incidentio_configs[].http_config.follow_redirects`                      | body | boolean                            | —        | FollowRedirects specifies whether the client should follow HTTP 3xx redirects.                           |
| `Receiver.incidentio_configs[].http_config.http_headers`                          | body | any                                | —        | HTTPHeaders specify headers to inject in the requests.                                                   |
| `Receiver.incidentio_configs[].http_config.no_proxy`                              | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2`                                | body | o11y.OAuth2                        | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig`                      | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca`                   | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca_file`              | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca_ref`               | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert`                 | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert_file`            | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert_ref`             | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify` | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key`                  | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key_file`             | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key_ref`              | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.max_version`          | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.min_version`          | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.server_name`          | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.incidentio_configs[].http_config.oauth2.audience`                       | body | string                             | —        | Audience optionally specifies the intended audience of the request.                                      |
| `Receiver.incidentio_configs[].http_config.oauth2.claims`                         | body | object                             | —        | Claims is a map of claims to be added to the JWT token.                                                  |
| `Receiver.incidentio_configs[].http_config.oauth2.claims.*`                       | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key`         | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_file`    | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_id`      | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_ref`     | body | string                             | —        | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
| `Receiver.incidentio_configs[].http_config.oauth2.client_id`                      | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_secret`                  | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_secret_file`             | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.client_secret_ref`              | body | string                             | —        | ClientSecretRef is the name of the secret within the secret manager to use as the client secret.         |
| `Receiver.incidentio_configs[].http_config.oauth2.endpoint_params`                | body | object                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.endpoint_params.*`              | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.grant_type`                     | body | string                             | —        | GrantType is the OAuth2 grant type to use.                                                               |
| `Receiver.incidentio_configs[].http_config.oauth2.iss`                            | body | string                             | —        | Iss is the OAuth client identifier used when communicating with the configured OAuth provider.           |
| `Receiver.incidentio_configs[].http_config.oauth2.no_proxy`                       | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.proxy_connect_header`           | body | object                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.proxy_connect_header.*`         | body | any\[]                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.proxy_from_environment`         | body | boolean                            | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.proxy_url`                      | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.scopes`                         | body | string\[]                          | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.signature_algorithm`            | body | string                             | —        | SignatureAlgorithm is the RSA algorithm used to sign JWT token.                                          |
| `Receiver.incidentio_configs[].http_config.oauth2.token_url`                      | body | string                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.proxy_connect_header`                  | body | object                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.proxy_connect_header.*`                | body | any\[]                             | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.proxy_from_environment`                | body | boolean                            | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.proxy_url`                             | body | any                                | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.tls_config`                            | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.incidentio_configs[].http_config.tls_config.ca`                         | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.incidentio_configs[].http_config.tls_config.ca_file`                    | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.incidentio_configs[].http_config.tls_config.ca_ref`                     | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.incidentio_configs[].http_config.tls_config.cert`                       | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.incidentio_configs[].http_config.tls_config.cert_file`                  | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.incidentio_configs[].http_config.tls_config.cert_ref`                   | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.incidentio_configs[].http_config.tls_config.insecure_skip_verify`       | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.incidentio_configs[].http_config.tls_config.key`                        | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.incidentio_configs[].http_config.tls_config.key_file`                   | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.incidentio_configs[].http_config.tls_config.key_ref`                    | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.incidentio_configs[].http_config.tls_config.max_version`                | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.incidentio_configs[].http_config.tls_config.min_version`                | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.incidentio_configs[].http_config.tls_config.server_name`                | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.incidentio_configs[].max_alerts`                                        | body | integer (uint64)                   | —        | MaxAlerts is the maximum number of alerts to be sent per incident.io message.                            |
| `Receiver.incidentio_configs[].timeout`                                           | body | integer (int64)                    | —        | Timeout is the maximum time allowed to invoke incident.io.                                               |
| `Receiver.incidentio_configs[].url`                                               | body | any                                | —        | URL to send POST request to.                                                                             |
| `Receiver.incidentio_configs[].url_file`                                          | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs`                                                           | body | o11y.JiraConfig\[]                 | —        |                                                                                                          |
| `Receiver.jira_configs[].NotifierConfig`                                          | body | o11y.NotifierConfig                | —        |                                                                                                          |
| `Receiver.jira_configs[].NotifierConfig.send_resolved`                            | body | boolean                            | —        |                                                                                                          |
| `Receiver.jira_configs[].api_type`                                                | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].api_url`                                                 | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].custom_fields`                                           | body | object                             | —        |                                                                                                          |
| `Receiver.jira_configs[].custom_fields.*`                                         | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].description`                                             | body | o11y.JiraFieldConfig               | —        |                                                                                                          |
| `Receiver.jira_configs[].description.enable_update`                               | body | boolean                            | —        | EnableUpdate indicates whether this field should be omitted when updating an existing issue.             |
| `Receiver.jira_configs[].description.template`                                    | body | string                             | —        | Template is the template string used to render the field.                                                |
| `Receiver.jira_configs[].http_config`                                             | body | o11y.HTTPClientConfig              | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.authorization`                               | body | o11y.Authorization                 | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.authorization.credentials`                   | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.authorization.credentials_file`              | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.authorization.credentials_ref`               | body | string                             | —        | CredentialsRef is the name of the secret within the secret manager to use as credentials.                |
| `Receiver.jira_configs[].http_config.authorization.type`                          | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.basic_auth`                                  | body | o11y.BasicAuth                     | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.basic_auth.password`                         | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.basic_auth.password_file`                    | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.basic_auth.password_ref`                     | body | string                             | —        | PasswordRef is the name of the secret within the secret manager to use as the password.                  |
| `Receiver.jira_configs[].http_config.basic_auth.username`                         | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.basic_auth.username_file`                    | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.basic_auth.username_ref`                     | body | string                             | —        | UsernameRef is the name of the secret within the secret manager to use as the username.                  |
| `Receiver.jira_configs[].http_config.bearer_token`                                | body | any                                | —        | The bearer token for the targets.                                                                        |
| `Receiver.jira_configs[].http_config.bearer_token_file`                           | body | string                             | —        | The bearer token file for the targets.                                                                   |
| `Receiver.jira_configs[].http_config.enable_http2`                                | body | boolean                            | —        | EnableHTTP2 specifies whether the client should configure HTTP2.                                         |
| `Receiver.jira_configs[].http_config.follow_redirects`                            | body | boolean                            | —        | FollowRedirects specifies whether the client should follow HTTP 3xx redirects.                           |
| `Receiver.jira_configs[].http_config.http_headers`                                | body | any                                | —        | HTTPHeaders specify headers to inject in the requests.                                                   |
| `Receiver.jira_configs[].http_config.no_proxy`                                    | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2`                                      | body | o11y.OAuth2                        | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig`                            | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca`                         | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca_file`                    | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca_ref`                     | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert`                       | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert_file`                  | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert_ref`                   | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify`       | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.key`                        | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.key_file`                   | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.key_ref`                    | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.max_version`                | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.min_version`                | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.jira_configs[].http_config.oauth2.TLSConfig.server_name`                | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.jira_configs[].http_config.oauth2.audience`                             | body | string                             | —        | Audience optionally specifies the intended audience of the request.                                      |
| `Receiver.jira_configs[].http_config.oauth2.claims`                               | body | object                             | —        | Claims is a map of claims to be added to the JWT token.                                                  |
| `Receiver.jira_configs[].http_config.oauth2.claims.*`                             | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_certificate_key`               | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_certificate_key_file`          | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_certificate_key_id`            | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_certificate_key_ref`           | body | string                             | —        | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
| `Receiver.jira_configs[].http_config.oauth2.client_id`                            | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_secret`                        | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_secret_file`                   | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.client_secret_ref`                    | body | string                             | —        | ClientSecretRef is the name of the secret within the secret manager to use as the client secret.         |
| `Receiver.jira_configs[].http_config.oauth2.endpoint_params`                      | body | object                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.endpoint_params.*`                    | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.grant_type`                           | body | string                             | —        | GrantType is the OAuth2 grant type to use.                                                               |
| `Receiver.jira_configs[].http_config.oauth2.iss`                                  | body | string                             | —        | Iss is the OAuth client identifier used when communicating with the configured OAuth provider.           |
| `Receiver.jira_configs[].http_config.oauth2.no_proxy`                             | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.proxy_connect_header`                 | body | object                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.proxy_connect_header.*`               | body | any\[]                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.proxy_from_environment`               | body | boolean                            | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.proxy_url`                            | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.scopes`                               | body | string\[]                          | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.oauth2.signature_algorithm`                  | body | string                             | —        | SignatureAlgorithm is the RSA algorithm used to sign JWT token.                                          |
| `Receiver.jira_configs[].http_config.oauth2.token_url`                            | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.proxy_connect_header`                        | body | object                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.proxy_connect_header.*`                      | body | any\[]                             | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.proxy_from_environment`                      | body | boolean                            | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.proxy_url`                                   | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.tls_config`                                  | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.jira_configs[].http_config.tls_config.ca`                               | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.jira_configs[].http_config.tls_config.ca_file`                          | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.jira_configs[].http_config.tls_config.ca_ref`                           | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.jira_configs[].http_config.tls_config.cert`                             | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.jira_configs[].http_config.tls_config.cert_file`                        | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.jira_configs[].http_config.tls_config.cert_ref`                         | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.jira_configs[].http_config.tls_config.insecure_skip_verify`             | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.jira_configs[].http_config.tls_config.key`                              | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.jira_configs[].http_config.tls_config.key_file`                         | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.jira_configs[].http_config.tls_config.key_ref`                          | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.jira_configs[].http_config.tls_config.max_version`                      | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.jira_configs[].http_config.tls_config.min_version`                      | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.jira_configs[].http_config.tls_config.server_name`                      | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.jira_configs[].issue_type`                                              | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].labels`                                                  | body | string\[]                          | —        |                                                                                                          |
| `Receiver.jira_configs[].priority`                                                | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].project`                                                 | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].reopen_duration`                                         | body | any                                | —        |                                                                                                          |
| `Receiver.jira_configs[].reopen_transition`                                       | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].resolve_transition`                                      | body | string                             | —        |                                                                                                          |
| `Receiver.jira_configs[].summary`                                                 | body | o11y.JiraFieldConfig               | —        |                                                                                                          |
| `Receiver.jira_configs[].summary.enable_update`                                   | body | boolean                            | —        | EnableUpdate indicates whether this field should be omitted when updating an existing issue.             |
| `Receiver.jira_configs[].summary.template`                                        | body | string                             | —        | Template is the template string used to render the field.                                                |
| `Receiver.jira_configs[].wont_fix_resolution`                                     | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs`                                                     | body | o11y.MattermostConfig\[]           | —        |                                                                                                          |
| `Receiver.mattermost_configs[].NotifierConfig`                                    | body | o11y.NotifierConfig                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].NotifierConfig.send_resolved`                      | body | boolean                            | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments`                                       | body | o11y.MattermostAttachment\[]       | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].author_icon`                         | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].author_link`                         | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].author_name`                         | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].color`                               | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].fallback`                            | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].fields`                              | body | o11y.MattermostField\[]            | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].fields[].short`                      | body | boolean                            | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].fields[].title`                      | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].fields[].value`                      | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].footer`                              | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].footer_icon`                         | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].image_url`                           | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].pretext`                             | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].text`                                | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].thumb_url`                           | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].title`                               | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].attachments[].title_link`                          | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].channel`                                           | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config`                                       | body | o11y.HTTPClientConfig              | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.authorization`                         | body | o11y.Authorization                 | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.authorization.credentials`             | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.authorization.credentials_file`        | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.authorization.credentials_ref`         | body | string                             | —        | CredentialsRef is the name of the secret within the secret manager to use as credentials.                |
| `Receiver.mattermost_configs[].http_config.authorization.type`                    | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.basic_auth`                            | body | o11y.BasicAuth                     | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.basic_auth.password`                   | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.basic_auth.password_file`              | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.basic_auth.password_ref`               | body | string                             | —        | PasswordRef is the name of the secret within the secret manager to use as the password.                  |
| `Receiver.mattermost_configs[].http_config.basic_auth.username`                   | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.basic_auth.username_file`              | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.basic_auth.username_ref`               | body | string                             | —        | UsernameRef is the name of the secret within the secret manager to use as the username.                  |
| `Receiver.mattermost_configs[].http_config.bearer_token`                          | body | any                                | —        | The bearer token for the targets.                                                                        |
| `Receiver.mattermost_configs[].http_config.bearer_token_file`                     | body | string                             | —        | The bearer token file for the targets.                                                                   |
| `Receiver.mattermost_configs[].http_config.enable_http2`                          | body | boolean                            | —        | EnableHTTP2 specifies whether the client should configure HTTP2.                                         |
| `Receiver.mattermost_configs[].http_config.follow_redirects`                      | body | boolean                            | —        | FollowRedirects specifies whether the client should follow HTTP 3xx redirects.                           |
| `Receiver.mattermost_configs[].http_config.http_headers`                          | body | any                                | —        | HTTPHeaders specify headers to inject in the requests.                                                   |
| `Receiver.mattermost_configs[].http_config.no_proxy`                              | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2`                                | body | o11y.OAuth2                        | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig`                      | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca`                   | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca_file`              | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca_ref`               | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert`                 | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert_file`            | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert_ref`             | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify` | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key`                  | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key_file`             | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key_ref`              | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.max_version`          | body | any                                | —        | Maximum TLS version.                                                                                     |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.min_version`          | body | any                                | —        | Minimum TLS version.                                                                                     |
| `Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.server_name`          | body | string                             | —        | Used to verify the hostname for the targets.                                                             |
| `Receiver.mattermost_configs[].http_config.oauth2.audience`                       | body | string                             | —        | Audience optionally specifies the intended audience of the request.                                      |
| `Receiver.mattermost_configs[].http_config.oauth2.claims`                         | body | object                             | —        | Claims is a map of claims to be added to the JWT token.                                                  |
| `Receiver.mattermost_configs[].http_config.oauth2.claims.*`                       | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key`         | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_file`    | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_id`      | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_ref`     | body | string                             | —        | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
| `Receiver.mattermost_configs[].http_config.oauth2.client_id`                      | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_secret`                  | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_secret_file`             | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.client_secret_ref`              | body | string                             | —        | ClientSecretRef is the name of the secret within the secret manager to use as the client secret.         |
| `Receiver.mattermost_configs[].http_config.oauth2.endpoint_params`                | body | object                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.endpoint_params.*`              | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.grant_type`                     | body | string                             | —        | GrantType is the OAuth2 grant type to use.                                                               |
| `Receiver.mattermost_configs[].http_config.oauth2.iss`                            | body | string                             | —        | Iss is the OAuth client identifier used when communicating with the configured OAuth provider.           |
| `Receiver.mattermost_configs[].http_config.oauth2.no_proxy`                       | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.proxy_connect_header`           | body | object                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.proxy_connect_header.*`         | body | any\[]                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.proxy_from_environment`         | body | boolean                            | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.proxy_url`                      | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.scopes`                         | body | string\[]                          | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.signature_algorithm`            | body | string                             | —        | SignatureAlgorithm is the RSA algorithm used to sign JWT token.                                          |
| `Receiver.mattermost_configs[].http_config.oauth2.token_url`                      | body | string                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.proxy_connect_header`                  | body | object                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.proxy_connect_header.*`                | body | any\[]                             | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.proxy_from_environment`                | body | boolean                            | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.proxy_url`                             | body | any                                | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.tls_config`                            | body | o11y.TLSConfig                     | —        |                                                                                                          |
| `Receiver.mattermost_configs[].http_config.tls_config.ca`                         | body | string                             | —        | Text of the CA cert to use for the targets.                                                              |
| `Receiver.mattermost_configs[].http_config.tls_config.ca_file`                    | body | string                             | —        | The CA cert to use for the targets.                                                                      |
| `Receiver.mattermost_configs[].http_config.tls_config.ca_ref`                     | body | string                             | —        | CARef is the name of the secret within the secret manager to use as the CA cert for the targets.         |
| `Receiver.mattermost_configs[].http_config.tls_config.cert`                       | body | string                             | —        | Text of the client cert file for the targets.                                                            |
| `Receiver.mattermost_configs[].http_config.tls_config.cert_file`                  | body | string                             | —        | The client cert file for the targets.                                                                    |
| `Receiver.mattermost_configs[].http_config.tls_config.cert_ref`                   | body | string                             | —        | CertRef is the name of the secret within the secret manager to use as the client cert for the targets.   |
| `Receiver.mattermost_configs[].http_config.tls_config.insecure_skip_verify`       | body | boolean                            | —        | Disable target certificate validation.                                                                   |
| `Receiver.mattermost_configs[].http_config.tls_config.key`                        | body | any                                | —        | Text of the client key file for the targets.                                                             |
| `Receiver.mattermost_configs[].http_config.tls_config.key_file`                   | body | string                             | —        | The client key file for the targets.                                                                     |
| `Receiver.mattermost_configs[].http_config.tls_config.key_ref`                    | body | string                             | —        | KeyRef is the name of the secret within the secret manager to use as the client key for the targets.     |
| `Receiver.mattermost_configs[].http_config.tls_config.max_version`                | body | any                                | —        | Maximum TLS version.                                                                                     |
[...]
